Using the REST API

Topics

This section contains information specific to the Amazon S3 REST API.

The examples in this guide use the newer virtual hosted-style method for accessing buckets instead of the path-style. Although the path-style is still supported for legacy applications, we recommend using the virtual-hosted style where applicable. For more information, see Working with Amazon S3 Buckets

Following is an example of a virtual hosted-style request to delete the puppy.jpg file from the mybucket bucket.

DELETE /puppy.jpg HTTP/1.1

User-Agent: dotnet

Host: mybucket.s3.amazonaws.com

Date: Tue, 15 Jan 2008 21:20:27 +0000

x-amz-date: Tue, 15 Jan 2008 21:20:27 +0000

Authorization: AWS 0PN5J17HBGZHT7JJ3X82:k3nL7gH3+PadhTEVn5EXAMPLE

Following is an example of a path-style version of the same request.

DELETE /mybucket/puppy.jpg HTTP/1.1

User-Agent: dotnet

Host: s3.amazonaws.com

Date: Tue, 15 Jan 2008 21:20:27 +0000

x-amz-date: Tue, 15 Jan 2008 21:20:27 +0000

Authorization: AWS 0PN5J17HBGZHT7JJ3X82:k3nL7gH3+PadhTEVn5EXAMPLE